import javax.swing.*;
class H9Ex2 {
public static void main(String args[])
{ point    n = new point(7,11);
  shape    a;
  a=n; 
  String s="direct call : \n";
         s+=n.name()+": "+n.toString()+"\n";
         s+="indirect call : \n";
         s+=a.name()+": "+a.toString()+"\n";
  String s1="indirect call through interface : ";
  JOptionPane.showMessageDialog(null,s,s1,JOptionPane.PLAIN_MESSAGE);
}
}
